<!--
ARCHES - a program developed to inventory and manage immovable cultural heritage.
Copyright (C) 2013 J. Paul Getty Trust and World Monuments Fund

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
-->
{% load staticfiles %}
{% load template_tags %}
{% load i18n %}
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en">
<!--<![endif]-->

<head>
    <title>{{app_title}}</title>

    <!-- Meta -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

    <link rel="shortcut icon" href="{% static 'img/favicon.png' %}" />

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel='stylesheet' type='text/css' href='//fonts.googleapis.com/css?family=Open+Sans:400,300,600&amp;subset=cyrillic,latin'>
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.2/css/bootstrap.min.css">

    <link href="{% static 'css/unify.css' %}" rel="stylesheet">
    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.2.0/css/font-awesome.min.css">
    <link href="{% static 'css/index.css' %}" rel="stylesheet">
    <link href="{% static 'css/project.css' %}" rel="stylesheet">

</head>

<!--
The #page-top ID is part of the scrolling feature.
The data-spy and data-target are part of the built-in Bootstrap scrollspy function.
-->

<body id="body" data-spy="scroll" data-target=".splash-nav" class="demo-lightbox-gallery">

    <!--=== Header ===-->
    <nav class="v5-splash-navbar navbar" role="navigation">

        <nav class="navbar">
            <div class="container-fluid">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <div class="relative" style="padding-left: 85px; width: 400px;">
                        <div class="navbar-brand-v5-icon-container" style="top: 4px; height: 45px; width: 45px; background: #f9f9f9; border-radius: 50%; border: 1px solid #000;">
                            <img class="navbar-brand-v5-icon" style="margin-top: -2px;" src="{% static 'img/landing/tc-logo.svg' %}" alt="Arches Logo">
                        </div>
                        <div class="application-name" style="position: absolute; top: 5px; left: 150px;">
                            <h2 style="color: #f4f4f4;">{% trans "TC Data Repository" %}</h2>
                        </div>
                    </div>
                </div>

                <div class="collapse navbar-collapse" id="myNavbar">
                    <ul class="nav navbar-nav">
                        <li>
                            <a href="https://tomorrowscities.org/">{% trans "Tomorrow's Cities" %}</a>
                        </li>

                        <li>
                            <a href="{% url 'search_home' %}">{% trans "Search Data Repository" %}</a>
                        </li>
                    </ul>

                    <ul class="nav navbar-nav navbar-right" style="padding-right: 80px;">
                        <li>
                            {% if user.username == 'anonymous' %}
                                <a class="application-login" id="auth-link" href="{% url 'auth' %}?next={% url 'home' %}{% if user.username != 'anonymous' %}&logout=true{% endif %}">{% trans "Sign in" %}</a>
                                {% else %}
                                <a class="auth-welcome" href="{% url 'user_profile_manager' %}">
                                    {% trans "Welcome, " %} {{ user.first_name|default:user.username }}
                                </a>
                        </li>
                        <li>
                                <a class="application-login" href="{% url 'auth' %}?next={% url 'home' %}{% if user.username != 'anonymous' %}&logout=true{% endif %}">{% trans 'Log off' %}</a>
                            {% endif %}
                        </li>
                        <li>
                            {% if user.username == 'anonymous' %}
                                <a class="application-login" id="auth-link" href="{% url 'signup' %}?next={% url 'home' %}{% if user.username != 'anonymous' %}&logout=true{% endif %}">{% trans "Sign up" %}</a>
                            {% endif %}
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
        <!-- /container -->
    </nav>
    <!--=== End Header ===-->

    <!-- Intro Section -->
    <section id="info-block-0" class="app-info-block intro-section relative">
    {% block body %}

    {% endblock body %}
    </section>
    <!-- End Intro Section -->


    <!-- Footer -->
    <div class="afs-app-footer">

        <!-- footer content container -->
        <div class="row">

            <!-- branding column -->
            <div class="col-lg-4">

                <h2 class="app-footer-heading">{% trans "Tomorrow's Cities" %}</h2>

                <div class="organization-address">
                </div>
            </div>

            <!-- Info Column -->
            <div class="col-lg-8">
                <h2 class="app-footer-heading">{% trans "Guides and Documentation" %}</h2>

                <!-- Links -->
                <div class="afs-splash-links">
                    <div class="row" style="padding-left: 0px;">
                        <div class="col-lg-4">
                            <ul class="splash-link-container">
                                <li>
                                    <a class="splash-link-address" href="http://https://www.archesproject.org/what-is-arches/" target="_blank">{% trans "Arches System" %}</a>
                                </li>

                            </ul>
                        </div>

                        <div class="col-lg-4">
                            <ul class="splash-link-container">
                                <li>
                                    <a class="splash-link-address" href="#to-be-added" target="_blank">{% trans "FAQ" %}</a>
                                </li>
                                <li>
                                    <a class="splash-link-address" href="https://flaxandteal.co.uk" target="_blank">{% trans "Flax &amp; Teal" %}</a>
                                </li>
                            </ul>
                        </div>

                        <div class="col-lg-4">
                            <ul class="splash-link-container">
                                <li>
                                    <a class="splash-link-address" href="#to-be-added" target="_blank">{% trans "Topaz Docs" %}</a>
                                </li>
                            </ul>
                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>
    <!-- End Footer -->

    <!-- Copyright Panel -->
    <div class="copyright-container">
        <!-- Arches link -->
        <div class="app-footer-links">
            <a class="link-spacing" href="">{% trans "Terms & Conditions" %}</a>
            <a class="link-spacing" href="">{% trans "Privacy Policy" %}</a>
            <a class="afs-app-footer-arches-link" href="http://www.archesproject.org" target="_blank">Powered by Arches</a>
        </div>
    </div>
    <!-- End Copyright Container -->



    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.2.3/jquery.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-migrate/1.4.0/jquery-migrate.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.2/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/smoothscroll/1.3.8/SmoothScroll.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/pace/1.0.2/pace.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-parallax/1.1.3/jquery-parallax-min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/waypoints/4.0.0/jquery.waypoints.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/Counter-Up/1.0.0/jquery.counterup.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/owl-carousel/1.3.3/owl.carousel.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery.form/3.51/jquery.form.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.15.0/jquery.validate.min.js"></script>
    <script src="{% static 'plugins/revolution-slider/rs-plugin/js/jquery.themepunch.tools.min.js' %}"></script>
    <script src="{% static 'plugins/revolution-slider/rs-plugin/js/jquery.themepunch.revolution.min.js' %}"></script>
    <script src="{% static 'plugins/cube-portfolio/cubeportfolio/js/jquery.cubeportfolio.min.js' %}"></script>
    <script src="{% static 'plugins/one.app.js' %}"></script>
    <script src="{% static 'plugins/pace-loader.js' %}"></script>
    <script src="{% static 'plugins/owl-carousel.js' %}"></script>
    <script src="{% static 'plugins/style-switcher.js' %}"></script>
    <script src="{% static 'plugins/revolution-slider.js' %}"></script>
    <script src="{% static 'plugins/cube-portfolio-lightbox.js' %}"></script>
    <script src="{% static 'packages/knockout/build/output/knockout-latest.js' %}"></script>


    <script>
        jQuery(document).ready(function() {
            App.init();
            App.initCounter();
            App.initParallaxBg();
            OwlCarousel.initOwlCarousel();
            StyleSwitcher.initStyleSwitcher();
            RevolutionSlider.initRSfullScreen();

            var contentSections = $('.app-info-block'),
                navigationItems = $('#cd-vertical-nav a');

            updateNavigation();
            $(window).on('scroll', function(){
                updateNavigation();
            });

            //smooth scroll to the section
            navigationItems.on('click', function(event){
                event.preventDefault();
                smoothScroll($(this.hash));
            });


            function updateNavigation() {
                contentSections.each(function(){
                    $this = $(this);
                    var activeSection = $('#cd-vertical-nav a[href="#'+$this.attr('id')+'"]').data('number') - 1;
                    if ( ( $this.offset().top - $(window).height()/2 < $(window).scrollTop() ) && ( $this.offset().top + $this.height() - $(window).height()/2 > $(window).scrollTop() ) ) {
                        navigationItems.eq(activeSection).addClass('is-selected');
                    }else {
                        navigationItems.eq(activeSection).removeClass('is-selected');
                    }
                });
            }

            function smoothScroll(target) {
                $('body,html').animate(
                    {'scrollTop':target.offset().top},
                    600
                );
            }


        });

        var ViewModel = function(first, last) {
            this.showAuthMenu = ko.observable(false);
        };
        ko.applyBindings(new ViewModel());

    </script>

</body>

</html>
